Loading...
Searching...
No Matches
Scene Class Reference

`#include <pcl/outofcore/visualization/scene.h>`

## Public Member Functions

| Scene ()
| Scene (const Scene &op)=delete
Scene & | operator= (const Scene &op)=delete
void | addCamera (Camera *camera)
std::vector< Camera * > | getCameras ()
Camera * | getCamera (vtkCamera *camera)
Camera * | getCamera (const std::string &name)
void | addObject (Object *object)
Object * | getObjectByName (const std::string &name)
std::vector< Object * > | getObjects ()
void | addViewport (Viewport *viewport)
std::vector< Viewport * > | getViewports ()
void | lock ()
void | unlock ()

## Static Public Member Functions

static Scene * | instance ()

## Detailed Description

Definition at line 11 of file scene.h.

## Constructor & Destructor Documentation

## Scene() [1/2]

Scene::Scene | ( |  | ) |

Referenced by instance(), operator=(), and Scene().

## Scene() [2/2]

Scene::Scene | ( | const Scene & | op | ) |

delete

References Scene().

## Member Function Documentation

## addCamera()

void Scene::addCamera | ( | Camera * | camera | ) |

## addObject()

void Scene::addObject | ( | Object * | object | ) |

## addViewport()

void Scene::addViewport | ( | Viewport * | viewport | ) |

## getCamera() [1/2]

Camera * Scene::getCamera | ( | const std::string & | name | ) |

## getCamera() [2/2]

Camera * Scene::getCamera | ( | vtkCamera * | camera | ) |

## getCameras()

std::vector< Camera * > Scene::getCameras | ( |  | ) |

## getObjectByName()

Object * Scene::getObjectByName | ( | const std::string & | name | ) |

## getObjects()

std::vector< Object * > Scene::getObjects | ( |  | ) |

## getViewports()

std::vector< Viewport * > Scene::getViewports | ( |  | ) |

## instance()

Scene * Scene::instance | ( |  | ) |

inline static

Definition at line 27 of file scene.h.

References Scene().

## lock()

void Scene::lock | ( |  | ) |

inline

Definition at line 70 of file scene.h.

## operator=()

Scene & Scene::operator= | ( | const Scene & | op | ) |

delete

References Scene().

## unlock()

void Scene::unlock | ( |  | ) |

inline

Definition at line 76 of file scene.h.

The documentation for this class was generated from the following file:

- pcl/outofcore/visualization/scene.h